Docs/API reference
Create API key

Platform API

Same sk-saakh- secret key. Base URL is the API host without /v1 (e.g. https://api.ai.saakh.in).

Endpoints

MethodPathCapability
POST/api/v1/ai/translateTranslation
POST/api/v1/ai/ocrOCR
POST/api/v1/ai/videosVideo generation
POST/api/v1/ai/web/searchWeb search
POST/api/v1/ai/web/scrapeScrape URL to markdown
POST/api/v1/ai/speech-to-speechVoice pipeline
WS/api/v1/ai/realtimeRealtime voice

Example — translate

curl https://api.ai.saakh.in/api/v1/ai/translate \
  -H "Authorization: Bearer $SAAKH_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"text":"Good morning","targetLanguage":"Hindi"}'